Cyberduck Mountain Duck CLI

#1692 closed defect (worksforme)

won't remember passwords

Reported by: elharo@… Owned by: dkocher
Priority: high Milestone:
Component: core Version: 3.1.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Since the latest update, CyberDuck won't remember any passwords across restarts. I have to renenter the password each time.

Change History (5)

comment:1 Changed on Jan 26, 2008 at 12:41:43 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

From http://version.cyberduck.ch/changelog.html.

[Bugfix] Writing corrupted entries to the Keychain (Intel, 10.5) [#1354]
Warning! Due to this bug you may have to reenter your passwords the first time connecting to each server. If you still encounter problems logging in, delete all saved passwords for this server using Keychain Access.app.

comment:2 Changed on May 27, 2008 at 2:39:43 PM by anonymous

  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 2.8.3 to 3.0.1

Sorry for reopening this ticket again, but this problem persists for me. I have version 3.0.1 installed and Cyberduck keeps asking for the passwords. There is nothing to delete from the Keychain because the login part of the keychain is already empty and cyberduck is configured to use the keychain. Cyberduck is installed on a Leopard-based MacBook (first generation).

comment:3 Changed on May 27, 2008 at 2:54:41 PM by anonymous

  • Resolution set to worksforme
  • Status changed from reopened to closed

My fault! I had a Keychain with a mismatched owner and solved it by repairing the keychain.

comment:4 follow-up: Changed on Feb 20, 2009 at 3:13:10 PM by toupsz@…

  • Priority changed from normal to high
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Version changed from 3.0.1 to 3.1.2

Cyberduck (3.1.2) running on OS X.5.6 will not remember new passwords. Password for one share changed --> login fail --> type in new password (with Add to Keychain checked) --> login fine. Restart --> login fail --> repeat.

comment:5 in reply to: ↑ 4 Changed on Mar 16, 2009 at 8:54:46 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to toupsz@…:

Cyberduck (3.1.2) running on OS X.5.6 will not remember new passwords. Password for one share changed --> login fail --> type in new password (with Add to Keychain checked) --> login fine. Restart --> login fail --> repeat.

This issue is tracked in #2984.

Note: See TracTickets for help on using tickets.